<div class="container"></div>


 
<div class="example-button-row">
    <button mat-button color="primary" (click)="reloadData()">All Data</button>
  </div>

 
<div class="mat-elevation-z8 container centerdiv">
  <table mat-table [dataSource]="data" matSort >

    <!-- Position Column -->
    <ng-container matColumnDef="TranNumber">
      <th mat-header-cell *matHeaderCellDef mat-sort-header> Transaction </th>
      <td mat-cell *matCellDef="let element"> {{element.TranNumber}} </td>
    </ng-container>

    <!-- Name Column -->
    <ng-container matColumnDef="Bank" appearance="fill">
      <th mat-header-cell *matHeaderCellDef> <input (keyup)="applyFilter($event.target.value)" matIput placeholder="Company"></th>
      <td mat-cell *matCellDef="let element"> {{element.Bank}} </td>
    </ng-container>

    <!-- Weight Column -->
    <ng-container matColumnDef="Date" >
      <th mat-header-cell *matHeaderCellDef mat-sort-header> Date </th>
      <td mat-cell *matCellDef="let element"> {{element.Date}} </td>
    </ng-container>

    <!-- Symbol Column -->
    <ng-container matColumnDef="Amount">
      <th mat-header-cell *matHeaderCellDef mat-sort-header> Amount </th>
      <td mat-cell *matCellDef="let element"> {{element.Amount}} </td>
    </ng-container>
    
    <ng-container matColumnDef="Tipo">
      <th mat-header-cell *matHeaderCellDef>
        <mat-select placeholder = "Tipo" (selectionChange)="onChange($event)"> 
            <mat-option value="CREDIT">CREDIT</mat-option>
            <mat-option value="DEBIT">DEBIT</mat-option>
        </mat-select>
      </th>
      <td mat-cell *matCellDef="let element"> {{element.Tipo}} </td>
    </ng-container>

    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
  </table>

  <mat-paginator #paginator [pageSizeOptions]="[5, 10, 20]"
                 showFirstLastButtons
                 aria-label="Select page of periodic elements">
  </mat-paginator>
</div>
